#!/bin/bash

main()
{

if [ $# -gt 0 ]; then

  echo "This script does not accept arguments, parameters need to be added to perf_metrics.config Aborting"
  exit 1

fi

#Get script directory
dir=$(pwd)

echo
echo "Using the following configuration:"
echo

#Load functions from file
source "$dir"/src/functions.bash

#Load parameters from file
source "$dir"/perf_metrics.config

# print parameters
grep -o '^[^#]*' perf_metrics.config
echo

#Init variables
Init

#Test if parameters are valid
Test_arguments

#Create the list of important functions from NEMO
Gprof_functions

#Get the traces of the executions and cut 1 timestep 
Get_trace

#Generate the performance metrics
Create_metrics

}

main "$@"; exit
